Skip to main content
POST
Push a card into a Kernel wallet

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment_method_id
string
required

Body

application/json
card
object
required
last4
string
required
Pattern: ^[0-9]{4}$
network
string
required

Card network

Pattern: ^[a-z][a-z_-]{0,31}$
valid_until
string<date-time>
required

When the card stops being usable. Must be in the future.

issuer_reference
string

The issuer's reference for the card

Pattern: ^[A-Za-z0-9._:-]{1,128}$

Response

The card is stored and the payment method is active.

payment_method
object
required